from setuptools import setup, find_packages
import os

version = '0.6.1'

readme = open("README.txt").read()
changes = open("CHANGES.txt").read()
detailed = open(os.path.join('src', 'tha', 'logcheck', 'README.txt')).read()
long_description = '\n\n'.join([readme, detailed, changes])

entry_points = {'console_scripts':
                ['logsplitter = tha.logcheck.logsplitter:main',
                 'logchecker = tha.logcheck.logchecker:main']}

tests_require = [
    'z3c.testsetup',
    ]

setup(name='tha.logcheck',
      version=version,
      description="Simple logchecker and summarizer for zope logfiles",
      long_description=long_description,
      # Get more strings from http://www.python.org/pypi?%3Aaction=list_classifiers
      classifiers=[
        "Programming Language :: Python",
        "Topic :: Software Development :: Libraries :: Python Modules",
        ],
      keywords='logcheck',
      author='The Health Agency',
      author_email='techniek@thehealthagency.com',
      url='',
      license='GPL',
      package_dir={'': 'src'},
      packages=find_packages('src'),
      namespace_packages=['tha'],
      include_package_data=True,
      zip_safe=False,
      install_requires=[
          'setuptools',
      ],
      tests_require=tests_require,
      extras_require={'test': tests_require},
      entry_points=entry_points,
      )
